﻿namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Provides a set of predefined font weights as static property values.
    /// </summary>
    public enum FontWeightName
    {
        /// <summary>
        /// Specifies a "Black" font weight.
        /// </summary>
        Black,

        /// <summary>
        /// Specifies a "Bold" font weight.
        /// </summary>
        Bold,

        /// <summary>
        ///  Specifies an "ExtraBlack" font weight.
        /// </summary>
        ExtraBlack,

        /// <summary>
        ///  Specifies an "ExtraBold" font weight.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "ExtraBold")]
        ExtraBold,

        /// <summary>
        ///  Specifies an "ExtraLight" font weight.
        /// </summary>
        ExtraLight,

        /// <summary>
        ///  Specifies a "Light" font weight.
        /// </summary>
        Light,

        /// <summary>
        ///  Specifies a "Medium" font weight.
        /// </summary>
        Medium,

        /// <summary>
        ///  Specifies a "Normal" font weight.
        /// </summary>
        Normal,

        /// <summary>
        ///  Specifies a "SemiBold" font weight.
        /// </summary>
        SemiBold,

        /// <summary>
        ///  Specifies a "SemiLight" font weight.
        /// </summary>
        SemiLight,

        /// <summary>
        ///  Specifies a "Thin" font weight.
        /// </summary>
        Thin
    }
}