﻿namespace Telerik.UI.Xaml.Controls.Primitives
{
    /// <summary>
    /// Defines the position of the <see cref="RadBusyIndicator"/> content
    /// relative to the indicator.
    /// </summary>
    public enum ContentPosition
    {
        /// <summary>
        /// The content will be positioned at the left side of the progress indicator.
        /// </summary>
        Left,

        /// <summary>
        /// The content will be positioned on top of the progress indicator.
        /// </summary>
        Top,

        /// <summary>
        /// The content will be positioned at the right side of the progress indicator.
        /// </summary>
        Right,

        /// <summary>
        /// The content will be positioned below the progress indicator.
        /// </summary>
        Bottom
    }
}
